/* Cooky based GUI demo codes
 * Copyright (C) 2010 Beijing Greatal Technologies Co. Ltd.
 */
#include "ctp.h"
#include <string.h>
#include <stdlib.h>

void main()
{
	char name[16], prop[16], value[64];
	int degree = 25;

	/* Initialize ctp port */
	ctp_init();

	/* Infinite event loop*/
	while(1) {
		if (ctp_event(name, prop, value)) {
			/* no invalid event found, do something you'd like */
			continue;
		}
		if (!strcmp(name, "p") && !strcmp(prop, "value")) {
			/* if temperature setting get changed */
			degree = atoi(value);
			/* Call hardware control routine to set temperature */
			/* Done by yourself */
		}
		/*ctp_control("animation", "value", "normal.gif");*/
	}
}
